<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>XWPFStyles (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="XWPFStyles (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/XWPFStyles.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFStyle.html"
               title="class in org.apache.poi.xwpf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTable.html"
               title="class in org.apache.poi.xwpf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xwpf/usermodel/XWPFStyles.html" target="_top">Frames</a>
        </li>
        <li><a href="XWPFStyles.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li><a href="#nested.classes.inherited.from.class.org.apache.poi.ooxml.POIXMLDocumentPart">Nested</a>&nbsp;|&nbsp;
            </li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.xwpf.usermodel</div>
    <h2 title="Class XWPFStyles" class="title">Class XWPFStyles</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li><a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html"
                       title="class in org.apache.poi.ooxml">org.apache.poi.ooxml.POIXMLDocumentPart</a></li>
                <li>
                    <ul class="inheritance">
                        <li>org.apache.poi.xwpf.usermodel.XWPFStyles</li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <hr>
                <br>
                <pre>public class <span class="typeNameLabel">XWPFStyles</span>
extends <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html" title="class in org.apache.poi.ooxml">POIXMLDocumentPart</a></pre>
                <div class="block">Holds details of built-in, default and user styles, which
                    apply to tables / paragraphs / lists etc.
                    Text within one of those with custom stylings has the style
                    information stored in the <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRun.html"
                                                 title="class in org.apache.poi.xwpf.usermodel"><code>XWPFRun</code></a>
                </div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== NESTED CLASS SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="nested.class.summary">
                        <!--   -->
                    </a>
                        <h3>Nested Class Summary</h3>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="nested.classes.inherited.from.class.org.apache.poi.ooxml.POIXMLDocumentPart">
                                <!--   -->
                            </a>
                                <h3>Nested classes/interfaces inherited from class&nbsp;org.apache.poi.ooxml.<a
                                        href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html"
                                        title="class in org.apache.poi.ooxml">POIXMLDocumentPart</a></h3>
                                <code><a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.RelationPart.html"
                                         title="class in org.apache.poi.ooxml">POIXMLDocumentPart.RelationPart</a></code>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFStyles.html#XWPFStyles--">XWPFStyles</a></span>()</code>
                                    <div class="block">Construct XWPFStyles from scratch for a new document.</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFStyles.html#XWPFStyles-org.apache.poi.openxml4j.opc.PackagePart-">XWPFStyles</a></span>(<a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackagePart.html"
                                        title="class in org.apache.poi.openxml4j.opc">PackagePart</a>&nbsp;part)</code>
                                    <div class="block">Construct XWPFStyles from a package part</div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFStyles.html#addStyle-org.apache.poi.xwpf.usermodel.XWPFStyle-">addStyle</a></span>(<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFStyle.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFStyle</a>&nbsp;style)</code>
                                    <div class="block">add a style to the document</div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>protected void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFStyles.html#commit--">commit</a></span>()</code>
                                    <div class="block">Save the content in the underlying package part.</div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>protected void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFStyles.html#ensureDocDefaults--">ensureDocDefaults</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>protected
                                    org.openxmlformats.schemas.wordprocessingml.x2006.main.CTLanguage</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFStyles.html#getCTLanguage--">getCTLanguage</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFDefaultParagraphStyle.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFDefaultParagraphStyle</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFStyles.html#getDefaultParagraphStyle--">getDefaultParagraphStyle</a></span>()</code>
                                    <div class="block">Get the default paragraph style which applies to the document
                                    </div>
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFDefaultRunStyle.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFDefaultRunStyle</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFStyles.html#getDefaultRunStyle--">getDefaultRunStyle</a></span>()</code>
                                    <div class="block">Get the default style which applies text runs in the document
                                    </div>
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFLatentStyles.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFLatentStyles</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFStyles.html#getLatentStyles--">getLatentStyles</a></span>()</code>
                                    <div class="block">Get the definition of all the Latent Styles</div>
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFStyles.html#getNumberOfStyles--">getNumberOfStyles</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFStyle.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFStyle</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFStyles.html#getStyle-java.lang.String-">getStyle</a></span>(java.lang.String&nbsp;styleID)</code>
                                    <div class="block">Get style by a styleID</div>
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFStyle.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFStyle</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFStyles.html#getStyleWithName-java.lang.String-">getStyleWithName</a></span>(java.lang.String&nbsp;styleName)</code>
                                    <div class="block">Get the style with the specified name, if any.</div>
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFStyle.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFStyle</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFStyles.html#getStyleWithSameName-org.apache.poi.xwpf.usermodel.XWPFStyle-">getStyleWithSameName</a></span>(<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFStyle.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFStyle</a>&nbsp;style)</code>
                                    <div class="block">get the style with the same name
                                        if this style is not existing, return null
                                    </div>
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code>java.util.List&lt;<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFStyle.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFStyle</a>&gt;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFStyles.html#getUsedStyleList-org.apache.poi.xwpf.usermodel.XWPFStyle-">getUsedStyleList</a></span>(<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFStyle.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFStyle</a>&nbsp;style)</code>
                                    <div class="block">get the styles which are related to the parameter style and their
                                        relatives
                                        this method can be used to copy all styles from one document to another document
                                    </div>
                                </td>
                            </tr>
                            <tr id="i12" class="altColor">
                                <td class="colFirst"><code>protected void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFStyles.html#onDocumentRead--">onDocumentRead</a></span>()</code>
                                    <div class="block">Read document</div>
                                </td>
                            </tr>
                            <tr id="i13" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFStyles.html#setDefaultFonts-org.openxmlformats.schemas.wordprocessingml.x2006.main.CTFonts-">setDefaultFonts</a></span>(org.openxmlformats.schemas.wordprocessingml.x2006.main.CTFonts&nbsp;fonts)</code>
                                    <div class="block">Sets the default font on ctStyles DocDefaults parameter
                                        TODO Replace this with specific setters for each type, possibly
                                        on XWPFDefaultRunStyle
                                    </div>
                                </td>
                            </tr>
                            <tr id="i14" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFStyles.html#setEastAsia-java.lang.String-">setEastAsia</a></span>(java.lang.String&nbsp;strEastAsia)</code>
                                    <div class="block">Sets the default East Asia spelling language on ctStyles
                                        DocDefaults parameter
                                    </div>
                                </td>
                            </tr>
                            <tr id="i15" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFStyles.html#setSpellingLanguage-java.lang.String-">setSpellingLanguage</a></span>(java.lang.String&nbsp;strSpellingLanguage)</code>
                                    <div class="block">Sets the default spelling language on ctStyles DocDefaults
                                        parameter
                                    </div>
                                </td>
                            </tr>
                            <tr id="i16" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFStyles.html#setStyles-org.openxmlformats.schemas.wordprocessingml.x2006.main.CTStyles-">setStyles</a></span>(org.openxmlformats.schemas.wordprocessingml.x2006.main.CTStyles&nbsp;styles)</code>
                                    <div class="block">Sets the ctStyles</div>
                                </td>
                            </tr>
                            <tr id="i17" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFStyles.html#styleExist-java.lang.String-">styleExist</a></span>(java.lang.String&nbsp;styleID)</code>
                                    <div class="block">checks whether style with styleID exist</div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.ooxml.POIXMLDocumentPart">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.ooxml.<a
                                        href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html"
                                        title="class in org.apache.poi.ooxml">POIXMLDocumentPart</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#Z:Z_invokeOnDocumentRead-org.apache.poi.ooxml.POIXMLDocumentPart-">_invokeOnDocumentRead</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#addRelation-java.lang.String-org.apache.poi.ooxml.POIXMLRelation-org.apache.poi.ooxml.POIXMLDocumentPart-">addRelation</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#createRelationship-org.apache.poi.ooxml.POIXMLRelation-org.apache.poi.ooxml.POIXMLFactory-">createRelationship</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#createRelationship-org.apache.poi.ooxml.POIXMLRelation-org.apache.poi.ooxml.POIXMLFactory-int-">createRelationship</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#createRelationship-org.apache.poi.ooxml.POIXMLRelation-org.apache.poi.ooxml.POIXMLFactory-int-boolean-">createRelationship</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#getNextPartNumber-org.apache.poi.ooxml.POIXMLRelation-int-">getNextPartNumber</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#getPackagePart--">getPackagePart</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#getParent--">getParent</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#getRelationById-java.lang.String-">getRelationById</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#getRelationId-org.apache.poi.ooxml.POIXMLDocumentPart-">getRelationId</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#getRelationPartById-java.lang.String-">getRelationPartById</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#getRelationParts--">getRelationParts</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#getRelations--">getRelations</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#getTargetPart-org.apache.poi.openxml4j.opc.PackageRelationship-">getTargetPart</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#isCommited--">isCommited</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#onDocumentCreate--">onDocumentCreate</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#onDocumentRemove--">onDocumentRemove</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#onSave-java.util.Set-">onSave</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#prepareForCommit--">prepareForCommit</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#read-org.apache.poi.ooxml.POIXMLFactory-java.util.Map-">read</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#rebase-org.apache.poi.openxml4j.opc.OPCPackage-">rebase</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#removeRelation-org.apache.poi.ooxml.POIXMLDocumentPart-">removeRelation</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#removeRelation-org.apache.poi.ooxml.POIXMLDocumentPart-boolean-">removeRelation</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#removeRelation-java.lang.String-">removeRelation</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#setCommited-boolean-">setCommited</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#toString--">toString</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait,
                                    wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="XWPFStyles-org.apache.poi.openxml4j.opc.PackagePart-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>XWPFStyles</h4>
                                <pre>public&nbsp;XWPFStyles(<a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackagePart.html"
                                        title="class in org.apache.poi.openxml4j.opc">PackagePart</a>&nbsp;part)
           throws java.io.IOException,
                  <a href="../../../../../org/apache/poi/openxml4j/exceptions/OpenXML4JException.html"
                     title="class in org.apache.poi.openxml4j.exceptions">OpenXML4JException</a></pre>
                                <div class="block">Construct XWPFStyles from a package part</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>part</code> - the package part holding the data of the styles,</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code></dd>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/openxml4j/exceptions/OpenXML4JException.html"
                                            title="class in org.apache.poi.openxml4j.exceptions">OpenXML4JException</a></code>
                                    </dd>
                                    <dt><span class="simpleTagLabel">Since:</span></dt>
                                    <dd>POI 3.14-Beta1</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="XWPFStyles--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>XWPFStyles</h4>
                                <pre>public&nbsp;XWPFStyles()</pre>
                                <div class="block">Construct XWPFStyles from scratch for a new document.</div>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="onDocumentRead--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>onDocumentRead</h4>
                                <pre>protected&nbsp;void&nbsp;onDocumentRead()
                       throws java.io.IOException</pre>
                                <div class="block">Read document</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#onDocumentRead--">onDocumentRead</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html"
                                                title="class in org.apache.poi.ooxml">POIXMLDocumentPart</a></code></dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code> - a subclass may throw an IOException when a
                                        document is read
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="commit--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>commit</h4>
                                <pre>protected&nbsp;void&nbsp;commit()
               throws java.io.IOException</pre>
                                <div class="block"><span
                                        class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#commit--">POIXMLDocumentPart</a></code></span>
                                </div>
                                <div class="block">Save the content in the underlying package part.
                                    Default implementation is empty meaning that the package part is left unmodified.
                                    <p>
                                        Sub-classes should override and add logic to marshal the "model" into Ooxml4J.
                                    <p>
                                        For example, the code saving a generic XML entry may look as follows:
                                    <pre>
 protected void commit() throws IOException {
   PackagePart part = getPackagePart();
   OutputStream out = part.getOutputStream();
   XmlObject bean = getXmlBean(); //the "model" which holds changes in memory
   bean.save(out, DEFAULT_XML_OPTIONS);
   out.close();
 }
 </pre>
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#commit--">commit</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html"
                                                title="class in org.apache.poi.ooxml">POIXMLDocumentPart</a></code></dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code> - a subclass may throw an IOException if the
                                        changes can't be committed
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="ensureDocDefaults--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>ensureDocDefaults</h4>
                                <pre>protected&nbsp;void&nbsp;ensureDocDefaults()</pre>
                            </li>
                        </ul>
                        <a name="setStyles-org.openxmlformats.schemas.wordprocessingml.x2006.main.CTStyles-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setStyles</h4>
                                <pre>public&nbsp;void&nbsp;setStyles(org.openxmlformats.schemas.wordprocessingml.x2006.main.CTStyles&nbsp;styles)</pre>
                                <div class="block">Sets the ctStyles</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>styles</code> -</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="styleExist-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>styleExist</h4>
                                <pre>public&nbsp;boolean&nbsp;styleExist(java.lang.String&nbsp;styleID)</pre>
                                <div class="block">checks whether style with styleID exist</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>styleID</code> - styleID of the Style in the style-Document</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>true if style exist, false if style not exist</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="addStyle-org.apache.poi.xwpf.usermodel.XWPFStyle-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>addStyle</h4>
                                <pre>public&nbsp;void&nbsp;addStyle(<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFStyle.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFStyle</a>&nbsp;style)</pre>
                                <div class="block">add a style to the document</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>style</code> -</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getStyle-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getStyle</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFStyle.html"
                                                    title="class in org.apache.poi.xwpf.usermodel">XWPFStyle</a>&nbsp;getStyle(java.lang.String&nbsp;styleID)</pre>
                                <div class="block">Get style by a styleID</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>styleID</code> - styleID of the searched style</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>style</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getNumberOfStyles--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getNumberOfStyles</h4>
                                <pre>public&nbsp;int&nbsp;getNumberOfStyles()</pre>
                            </li>
                        </ul>
                        <a name="getUsedStyleList-org.apache.poi.xwpf.usermodel.XWPFStyle-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getUsedStyleList</h4>
                                <pre>public&nbsp;java.util.List&lt;<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFStyle.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFStyle</a>&gt;&nbsp;getUsedStyleList(<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFStyle.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFStyle</a>&nbsp;style)</pre>
                                <div class="block">get the styles which are related to the parameter style and their
                                    relatives
                                    this method can be used to copy all styles from one document to another document
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>style</code> -</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>a list of all styles which were used by this method</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getCTLanguage--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getCTLanguage</h4>
                                <pre>protected&nbsp;org.openxmlformats.schemas.wordprocessingml.x2006.main.CTLanguage&nbsp;getCTLanguage()</pre>
                            </li>
                        </ul>
                        <a name="setSpellingLanguage-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setSpellingLanguage</h4>
                                <pre>public&nbsp;void&nbsp;setSpellingLanguage(java.lang.String&nbsp;strSpellingLanguage)</pre>
                                <div class="block">Sets the default spelling language on ctStyles DocDefaults
                                    parameter
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>strSpellingLanguage</code> -</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setEastAsia-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setEastAsia</h4>
                                <pre>public&nbsp;void&nbsp;setEastAsia(java.lang.String&nbsp;strEastAsia)</pre>
                                <div class="block">Sets the default East Asia spelling language on ctStyles DocDefaults
                                    parameter
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>strEastAsia</code> -</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setDefaultFonts-org.openxmlformats.schemas.wordprocessingml.x2006.main.CTFonts-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setDefaultFonts</h4>
                                <pre>public&nbsp;void&nbsp;setDefaultFonts(org.openxmlformats.schemas.wordprocessingml.x2006.main.CTFonts&nbsp;fonts)</pre>
                                <div class="block">Sets the default font on ctStyles DocDefaults parameter
                                    TODO Replace this with specific setters for each type, possibly
                                    on XWPFDefaultRunStyle
                                </div>
                            </li>
                        </ul>
                        <a name="getStyleWithSameName-org.apache.poi.xwpf.usermodel.XWPFStyle-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getStyleWithSameName</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFStyle.html"
                                                    title="class in org.apache.poi.xwpf.usermodel">XWPFStyle</a>&nbsp;getStyleWithSameName(<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFStyle.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFStyle</a>&nbsp;style)</pre>
                                <div class="block">get the style with the same name
                                    if this style is not existing, return null
                                </div>
                            </li>
                        </ul>
                        <a name="getDefaultRunStyle--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getDefaultRunStyle</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFDefaultRunStyle.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFDefaultRunStyle</a>&nbsp;getDefaultRunStyle()</pre>
                                <div class="block">Get the default style which applies text runs in the document</div>
                            </li>
                        </ul>
                        <a name="getDefaultParagraphStyle--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getDefaultParagraphStyle</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFDefaultParagraphStyle.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFDefaultParagraphStyle</a>&nbsp;getDefaultParagraphStyle()</pre>
                                <div class="block">Get the default paragraph style which applies to the document</div>
                            </li>
                        </ul>
                        <a name="getLatentStyles--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getLatentStyles</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFLatentStyles.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFLatentStyles</a>&nbsp;getLatentStyles()</pre>
                                <div class="block">Get the definition of all the Latent Styles</div>
                            </li>
                        </ul>
                        <a name="getStyleWithName-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>getStyleWithName</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFStyle.html"
                                                    title="class in org.apache.poi.xwpf.usermodel">XWPFStyle</a>&nbsp;getStyleWithName(java.lang.String&nbsp;styleName)</pre>
                                <div class="block">Get the style with the specified name, if any.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>styleName</code> - The name of the style to get, e.g., "Heading 1"</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd><a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFStyle.html"
                                           title="class in org.apache.poi.xwpf.usermodel"><code>XWPFStyle</code></a>
                                        with the specified name, or null if not found.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/XWPFStyles.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFStyle.html"
               title="class in org.apache.poi.xwpf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTable.html"
               title="class in org.apache.poi.xwpf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xwpf/usermodel/XWPFStyles.html" target="_top">Frames</a>
        </li>
        <li><a href="XWPFStyles.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li><a href="#nested.classes.inherited.from.class.org.apache.poi.ooxml.POIXMLDocumentPart">Nested</a>&nbsp;|&nbsp;
            </li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
